## xscreensaver 5.40

=== debian/changelog ===
xscreensaver (5.40-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Nov 2018 12:45:16 -0800

xscreensaver (5.40-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * New upstream version 5.40 (Closes: #907674)
    - New hacks, `filmleader', `vfeedback' and `glitchpe'
    - GLPlanet blends between day and night maps at the dusk terminator.
    - DymaxionMap can display arbitrary map images, and animate sunlight
      across the flattened globe.
    - Tessellimage can draw either Delaunay or Voronoi tilings.
    - XAnalogTV includes test cards.
  * Removed patches that do not apply and were fixing a bug that seems
    fixed upstream (#304344):
    - 30_hacks_xanalogtv.patch and
    - 31_utils_images_logo-50-bad-xpm.patch

  [ Tormod Volden ]
  * New upstream release 5.39, changes since 5.36:
    - New hacks, `vigilance', 'esper', 'razzledazzle', 'peepers',
      'crumbler' and `maze3d'.
    - Added Mac Software Update and VMware to `bsod'.
    - Updated `webcollage' for recent changes.
    - `webcollage' now works with ImageMagick instead of with
      pbmtools if `webcollage-helper' is not installed.
    - 'bsod' now accepts Dunning-Krugerrands.
    - Lots of xlockmore-derived hacks now have animated erase routines.
    - 'm6502' now includes 'texture.asm'.
    - More heuristics for using RSS feeds as image sources.
    - Built-in image assets are now PNG instead of XPM or XBM.
    - Better font-loading fallback heuristics on systems with a
      terrible selection of installed fonts.
    - Try harder to find sensible fonts for the password dialog.
    - Various bug fixes.
    - Added 6502/dmsc source (Closes: #876087)
  * Build-Depends on libpng-dev instead of libxpm-dev
  * debian/xscreensaver.install.stub: Locale 'ca' dropped upstream
  * debian/rules: Stop if intltool-update fails (Closes: #873108)
  * Allow cross-compilation (Closes: #873106) thanks Helmut Grohne!
  * debian/patches/92_hacks_images_distclean.patch:
    Missing distclean in new, non-generated Makefile
  * debian/patches/93_driver_distclean.patch:
    Remove autogenerated files in distclean
  * Drop recommends on libgnomeui (Closes: #885731)
  * Change recommends from perl5 to perl (Closes: #864310)
  * Run wrap-and-sort on debian/control and clean-up trailing
    whitespace in changelog and rules (Lintian warnings)
  * Add missing patch description (Lintian warning)
  * Bump Standards-Version to 4.1.4 (no changes needed)
  * Update various URLs to use https instead of http
  * Update Vcs-* fields to new location at salsa.debian.org
  * Switch to dpkg-source 3.0 (quilt) format

 -- Tormod Volden <debian.tormod@gmail.com>  Thu, 27 Sep 2018 00:12:07 +0200

xscreensaver (5.36-1) unstable; urgency=medium

  * New upstream release 5.36, changes since 5.34:
    - New hacks (modes): `dymaxionmap', `unicrud', `energystream',
      `raverhoop', `hydrostat', `discoball', `cubetwist', `cubestack',
      `splodesic' and `hexstrut'.
    - Ignore WM_USER_TIME property changes with days-old timestamps.
    - Added Windows 10 to `bsod'.
    - `pong' is now playable.
    - Several new programs in `m6502'.
    - `rotzoomer -mode circle'.
    - Better titles in `photopile'.
  * Replace dependencies on libjpeg-progs with libjpeg-turbo-progs
    (Closes: #813395)
  * debian/patches/12_upstream_hurd-no-pthread_stack_min.patch:
    Do not check for PTHREAD_STACK_MIN on GNU/Hurd (Closes: #823049)
  * debian/control: Updated, secure Vcs-Git and Vcs-Browser URI
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Bump debhelper compatibility version to 9
  * debian/patches/20_hacks_maze_xpm_libs.patch: Deleted (obsolete)
  * Add patch descriptions (and some bug references) to all patches
  * debian/rules: Enable all hardening options
  * debian/control: Remove Enhances (reverse dependencies) and obsolete
    Breaks, Replaces and versioned dependencies (Closes: #822621)
  * Ship /usr/lib/systemd/user/xscreensaver.service (Closes: #843610)
  * debian/patches/75_Makefile_in-ignore-alien-platforms.patch:
    Do not descend into OSX and android folders in make clean

 -- Tormod Volden <debian.tormod@gmail.com>  Sun, 11 Dec 2016 15:18:05 +0100

xscreensaver (5.34-2) unstable; urgency=medium

  * Fix sort order in hacks/Makefile (for reproducible builds)
    (Closes: #819595) Thanks to Sascha Steinbiss!
  * Disable Easter egg about "outdated" version
    (Closes: #819703)

 -- Tormod Volden <debian.tormod@gmail.com>  Tue, 05 Apr 2016 22:53:13 +0200

xscreensaver (5.34-1) unstable; urgency=medium

  * New upstream release 5.34
    - Fixed a crash when hot-swapping monitors while locked.
      (Closes: #802914)
    - Fixed some incorrect output from xscreensaver-command -watch.

 -- Tormod Volden <debian.tormod@gmail.com>  Sun, 25 Oct 2015 09:31:21 +0100

xscreensaver (5.33-1) unstable; urgency=low

  * New upstream release 5.33, changes since 5.30:
    - New hacks, `geodesicgears', `binaryring', `cityflow', `splitflap'
      and `romanboy'.
    - UTF-8 text support (instead of only Latin1) and antialiased text
      on X11 with Xft (instead of only on OSX/iOS) in `fontglide',
      `noseguy', `fliptext', `starwars', and `winduprobot'.
      The other text-displaying hacks (`apple2', `phosphor', `xmatrix',
      and `gltext') also now accept UTF-8 input, though they convert it
      to Latin1 or ASCII. (Closes: #180775)
    - `glplanet' now has both day and night maps, and a sharp terminator.
    - Fixed a transparency glitch in `winduprobot'.
    - Better detection of user activity on modern GNOME systems.
  * xscreensaver*.postrm/postinst/preinst: Remove obsolete parts used in
    lenny->squeeze and potato->woody transitions
  * Do not overwrite user-configured /etc/X11/app-defaults/XScreenSaver
    Thanks to Bastien Roucariès for initial patch (Closes: #767019)
  * Replace GNOME with MATE in desktop files stub (Closes: #766880, #774539)

