=== debian/watch ===
version=3
#https://www.jwz.org/xscreensaver/xscreensaver-(.*)\.tar\.gz
https://www.jwz.org/xscreensaver/download.html xscreensaver-(.*)\.tar\.gz
