=== debian/changelog ===
xscreensaver (5.42+dfsg1-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patches/90_ubuntu-branding.patch: Use Ubuntu branding.
  * Dropped changes:
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 27 Jan 2019 16:40:05 -0500

xscreensaver (5.42+dfsg1-1) unstable; urgency=medium

  * New upstream release 5.42, changes since 5.40:
    - New hack, `handsy'.
    - X11: Those new font-loading fallback heuristics work again. Oops.
    - Fixed noof from displaying minimalistically.
    - Rewrote unknownpleasures to be faster, and a true waterfall graph.
    - BSOD Solaris improved. DVD added.
    - If the xscreensaver daemon is setuid, then we can implore the
      kernel's out-of-memory killer to not unlock the screen.
  * debian/copyright: Exclude OSX and Android build trees
  * debian/watch: Mangle version name for dfsg repack
  * debian/patches/14_upstream_cpp_comments.patch: Avoid // comment

 -- Tormod Volden <debian.tormod@gmail.com>  Fri, 25 Jan 2019 00:15:07 +0100

xscreensaver (5.36-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patch/90_ubuntu-branding.patch: Use Ubuntu branding.
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.
  * Dropped changes:
    - debian/control:
      + Breaks/Replaces: the old changes are not needed anymore, but the
        new changes the screensavers sets needs it.
  * d/p/90_ubuntu-branding.patch: Fix feed used for the Fridge.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 24 Mar 2017 17:21:10 -0400

xscreensaver (5.34-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes: (Really fix LP: #1406825)
    - debian/control:
      + Breaks/Replaces: the old changes are not needed anymore, but the
        new changes the screensavers sets needs it.
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patch/90_ubuntu-branding.patch: Use Ubuntu branding.
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 06 Apr 2016 17:26:23 -0400

xscreensaver (5.34-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes: (LP: #1512136)
    - debian/control:
      + Breaks/Replaces: the old changes are not needed anymore, but the
        new changes the screensavers sets needs it.
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patch/90_ubuntu-branding.patch: Use Ubuntu branding.
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.
  * Dropped changes, fixed in Debian:
    - debian/patches/91_replace-gdmflexiserver.patch:
      + Use dm-tool instead of gdmflexiserver for user-switching,
        the latter is no longer provided by lightdm.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 27 Oct 2015 20:23:19 -0400

xscreensaver (5.30-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. (LP: #1406825) Remaining changes:
    - debian/control:
      + Breaks/Replaces: the old changes are not needed anymore, but the
        new changes the screensavers sets needs it.
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patch/90_ubuntu-branding.patch: Use Ubuntu branding.
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.
    - debian/patches/91_replace-gdmflexiserver.patch:
      + Use dm-tool instead of gdmflexiserver for user-switching,
        the latter is no longer provided by lightdm.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 18 Feb 2015 02:17:23 -0500

xscreensaver (5.26-1ubuntu3) utopic; urgency=medium

  * debian/patches/91_replace-gdmflexiserver.patch:
    - Use dm-tool instead of gdmflexiserver for user-switching,
      the latter is no longer provided by lightdm (LP: #1320560)


