=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
 Build-Depends: autotools-dev,
                bc,
@@ -165,7 +165,7 @@
  xscreensaver-gl:
  antmaze, atlantis, blocktube, boing, bouncingcow, boxed, cage,
  carousel, companioncube, crackberg, cube21, cubenetic, cubicgrid,
- dangerball, extrusion, fliptext, flurry, glhanoi, glplanet,
+ dangerball, extrusion, fliptext, flurry, glhanoi, glplanet, handsy,
  hilbert, hypnowheel, jigsaw, juggler3d, klein, lament, menger, noof,
  photopile, pinion, providence, rubik, rubikblocks, sballs, skytentacles,
  sproingies, stairs, starwars, surfaces, tangram, timetunnel, tronbit,
