=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	# Configure for xscreensaver
 	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
+		--with-image-directory=/usr/share/backgrounds \
 		--without-gl --with-pam --with-gtk --without-kerberos \
 		--with-hackdir=/usr/lib/xscreensaver \
 		--with-configdir=/usr/share/xscreensaver/config \
@@ -57,6 +58,7 @@
 	# Configure for xscreensaver-gl
 	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
+		--with-image-directory=/usr/share/backgrounds \
 		--with-gl --with-pam --with-gtk --without-kerberos \
 		--with-hackdir=/usr/lib/xscreensaver \
 		--with-configdir=/usr/share/xscreensaver/config \
@@ -95,6 +97,14 @@
 	dh_installdirs -a
 	dh_installdocs -a
 	dh_installchangelogs -a
+
+	# Add translation domain to .desktop files
+	DOMAIN=$$(grep --max-count 1 '^GETTEXT_PACKAGE[[:space:]]*=' $(CURDIR)/po/Makefile | sed 's/^.*=[[:space:]]\([^[:space:]]\)/\1/'); \
+	for d in $$(find debian/tmp -type f -name "*.desktop" ); do \
+	    echo "Adding translation domain $$DOMAIN to $$d..."; \
+	    echo "X-Ubuntu-Gettext-Domain=$$DOMAIN" >> $$d; \
+	done
+
 	# Install .desktop files used by gnome-screensaver etc
 	mkdir -p debian/tmp/usr/share/applications/screensavers
 	cp debian/screensavers-desktop-files/*.desktop \
@@ -117,7 +127,7 @@
 	install -m 644 -o root -g root driver/XScreenSaver.ad-nogl \
 		debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver-nogl
 	dh_link -a
-	dh_strip -a --no-automatic-dbgsym
+	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a
