## xscreensaver 5.44+dfsg1

=== debian/changelog ===
xscreensaver (5.44+dfsg1-0.1~mx19+1) mx; urgency=medium

  * New upstream release 5.44, changes for Linux since 5.44:
    - New hacks,'deepstars, `gibson', `etruscanvenus', `scooter', `gravitywell'.
      Scooter added to data-extra package, the others to gl-extra.
    - BSOD supports Tivo and Nintendo.
    - New color options in `romanboy', `projectiveplane', `hypertorus'
      and `klein'.
    - Performance tweaks for `eruption', `fireworkx', `halftone', `halo',
      `moire2', and `rd-bomb'.
    - X11: Always use $HOME/.xscreensaver, not getpwuid's directory.
    - GLPlanet now supports the Mercator projection.
    - Bouncing Cow has mathematically ideal cows (spherical, frictionless).
    - Foggy toasters.
    - Unknown Pleasures can now use an image file as a clip mask.
    - Updated `webcollage' for recent changes.
    - X11: Added some sample unlock dialog color schemes to the .ad file.
    - X11: On systemd systems, closing your laptop lid might actually lock
          your screen now, maybe.
    - X11: 'sonar' can ping without being setuid by using setcap.

  * Disable 12_upstream_hurd-no-pthread_stack_min.patch, not needed on Linux.
  * Disable 14_upstream_cpp_comments.patch, 91_allow_cross_compilation.patch,
    and 93_driver_distclean.patch: fixed upstream.
  * Refresh  22_hacks_barcode.patch, 50_debian_branding.patch,
    53_default_newLoginCommand.patch, 56_password_dialog_reworded.patch,
    93_driver_distclean.patch. 

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jun 2020 10:56:37 -0700
