=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
 Build-Depends: autotools-dev,
                bc,
@@ -112,7 +112,7 @@
  kumppa, lcdscrub, ljlatest, loop, maze, memscroller, moire2, moire,
  mountain, munch, nerverot, noseguy, pacman, pedal, penetrate, petri,
  phosphor, piecewise, polyominoes, pong, pyro, qix, rd-bomb, rocks,
- rorschach, rotzoomer, sierpinski, slip, speedmine, spotlight,
+ rorschach, rotzoomer, scooter, sierpinski, slip, speedmine, spotlight,
  squiral, starfish, strange, substrate, thornbird, triangle, truchet,
  twang, vermiculate, vfeedback, vidwhacker, wander, whirlwindwarp,
  wormhole, xanalogtv, xflame, xjack, xmatrix, xrayswarm, xspirograph,
@@ -135,7 +135,7 @@
  .
  This is the set of GL screensavers shipped by default:
  antinspect, antspotlight, atunnel, blinkbox, bubble3d, circuit,
- cityring, crumbler, cubestack, cubestorm, cubetwist, discoball,
+ cityflow, crumbler, cubestack, cubestorm, cubetwist, discoball,
  dymaxionmap, endgame, energystream, engine, esper, flipflop,
  flipscreen3d, flyingtoasters, gears, geodesic, geodesicgears, gflux,
  glblur, glcells, gleidescope, glknots, glmatrix, glschool,
@@ -164,12 +164,12 @@
  This is the set of GL screensavers not shipped by default with
  xscreensaver-gl:
  antmaze, atlantis, blocktube, boing, bouncingcow, boxed, cage,
- carousel, companioncube, crackberg, cube21, cubenetic, cubicgrid,
- dangerball, extrusion, fliptext, flurry, glhanoi, glplanet, handsy,
- hilbert, hypnowheel, jigsaw, juggler3d, klein, lament, menger, noof,
- photopile, pinion, providence, rubik, rubikblocks, sballs, skytentacles,
- sproingies, stairs, starwars, surfaces, tangram, timetunnel, tronbit,
- unknownpleasures.
+ carousel, companioncube, crackberg, cube21, cubenetic, cubicgrid, dangerball,
+ deepstars, etruscanvenus, extrusion, fliptext, flurry, gibson, glhanoi,
+ glplanet, gravitywell, handsy, hilbert, hypnowheel, jigsaw, juggler3d, klein,
+ lament, menger, noof, photopile, pinion, providence, rubik, rubikblocks,
+ sballs, skytentacles, sproingies, stairs, starwars, surfaces,
+ tangram, timetunnel, tronbit, unknownpleasures.
  .
  More display modes can be found in the xscreensaver-data,
  xscreensaver-data-extra and xscreensaver-gl packages.
