## xscreensaver 5.45%2Bdfsg1

=== debian/changelog ===
xscreensaver (5.45+dfsg1-2ubuntu1) impish; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patches/90_ubuntu-branding.patch: Use Ubuntu branding.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Jun 2021 11:21:52 +1200

xscreensaver (5.45+dfsg1-2) unstable; urgency=medium

  * Do not assign raw net capability to "sonar" hack due to a security
    vulnerability in mesa (Closes: #987149)
  * Make sure is systemd unit is disabled if upgrading from previous
    two releases (Closes: #978589)
  * Do not enable screensaver on login screen (Closes: #979562, #988158)
  * Recommend needed font for unlock dialog (Closes: #978086)
  * Apply fix for crash on video output disconnection (Closes: #989508)

 -- Tormod Volden <debian.tormod@gmail.com>  Sun, 06 Jun 2021 12:25:19 +0200

xscreensaver (5.45+dfsg1-1) unstable; urgency=low

  * New upstream release 5.45
    - New hacks, `covid19', `headroom', `sphereeversion' and `beats'.
    - Shader updates to `hypertorus'.
    - No more image-loading pause in `glslideshow'.
    - BSOD supports GNOME.
    - Image loaders support SVG.
    - X11: `xscreensaver-systemd' now allows video players to request that
      the screen not blank.
    - X11: -log implies -verbose -no-capture-stderr.
    - X11: Glade -> GtkBuilder.
    - Various bug fixes. (Closes: #956251)
  * Drop libglade2 dependency (Closes: #967892, #967232)
  * debian/rules: Fix package build on architectures without systemd
  * Use setcap in postinst only if available (Linux)
  * Drop patches accepted upstream:
    - 12_upstream_man_pages_name_header_backslash.patch
    - 14_upstream_gibson_man_page_name.patch
    - 16_upstream_cross_ac_path_tool.patch
    - 18_upstream_misspellings.patch
  * debian/patches/12_upstream_man_beats_speereev_backslash.patch:
    - man page name header syntax fixes
  * debian/patches/94_cpu_usage_verbose.patch: Mostly upstreamed
  * debian/patches/53_default_newLoginCommand.patch: Update to use
    dm-tool instead of gdmflexiserver as default for user switching
  * Use gdm-command as fallback in xscreensaver-wrapper.sh
  * Recommend xfonts-100dpi (Closes: #932837) thanks jwz
  * Ship hacks under /usr/libexec instead of /usr/lib (thanks jwz)
  * Do not enable systemd unit by default, since it breaks existing
    (non-systemd) setups (Closes: #977804) Note it only got enabled
    by default in 5.44+dfsg1-2.

 -- Tormod Volden <debian.tormod@gmail.com>  Wed, 23 Dec 2020 00:09:44 +0100

xscreensaver (5.44+dfsg1-2) unstable; urgency=low

  [ Andrej Shadura ]
  * debian/rules rewritten to short dh form
  * Bump debhelper from deprecated 9 to 12

  [ Tormod Volden ]
  * Drop build-depends on autotools-dev and dh-autoreconf
  * Limit setcap usage to Linux architectures
  * New, upstreamed patches:
    - 16_upstream_cross_ac_path_tool.patch (thanks Helmut Grohne)
      Fixes cross-building from scratch (Closes: #973338)
    - 18_upstream_misspellings.patch (various misspellings)
  * debian/copyright: Clarify noseguy/hyperball/hypercube
  * Add build-depends on gdk-pixbuf libraries no longer pulled in
    by GTK 2 (Closes: #975703) thanks Simon McVittie
  * Add NEWS link to upstream README (release notes)
  * Bump Standards-Version to 4.5.1
  * Build without shadow passwd support since we rely on pam

 -- Tormod Volden <debian.tormod@gmail.com>  Tue, 08 Dec 2020 19:49:18 +0100

xscreensaver (5.44+dfsg1-1) unstable; urgency=medium

  [ Patrice Duroux ]
  * Fix invalid syntax in glitchpeg.desktop (Closes: #920753)

  [ Will Ross ]
  * New upstream release 5.43 (Closes: #954017)
    - New hacks, `GravityWell', `DeepStars'.
    - GLPlanet now supports the Mercator projection.
    - Bouncing Cow has mathematically ideal cows (spherical, frictionless).
    - Foggy toasters.
    - Unknown Pleasures can now use an image file as a clip mask.
    - Updated `webcollage' for recent changes.
    - X11: Added some sample unlock dialog color schemes to the .ad file.
    - X11: On systemd systems, closing your laptop lid might actually lock
      your screen now, maybe. (Closes: #781961)
    - X11: 'sonar' can ping without being setuid by using setcap.
      (Closes: #96677)
  * Removed patches applied upstream or obsolete:
    - debian/patches/12_upstream_hurd-no-pthread_stack_min.patch
    - debian/patches/14_upstream_cpp_comments.patch
    - debian/patches/91_allow_cross_compilation.patch.patch

  [ Tormod Volden ]
  * New upstream release 5.44
    - New hacks, `gibson', `etruscanvenus' and `scooter'.
    - BSOD supports Tivo and Nintendo.
    - New color options in `romanboy', `projectiveplane', `hypertorus'
      and `klein'.
    - Performance tweaks for `eruption', `fireworkx', `halftone', `halo',
      `moire2', `rd-bomb'
    - X11: Always use $HOME/.xscreensaver, not getpwuid's directory.
    - Various bug fixes.
  * Drop obsolete or upstreamed patches:
    - debian/patches/22_hacks_barcode.patch
    - debian/patches/23_hacks_glx_glsnake.patch
    - debian/patches/24_install_systemd_helper.patch
    - debian/patches/93_driver_distclean.patch
  * New, upstreamed patches:
    - 12_upstream_man_pages_name_header_backslash.patch
    - 14_upstream_gibson_man_page_name.patch
    - 99_cpu_usage_verbose.patch
  * Use dh_update_autotools_config and update debhelper deps

  [ Andrej Shadura ]
  * debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * Remove deprecated Encoding key from desktop file
    debian/xscreensaver-daemon.desktop.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 17 Oct 2020 18:08:05 +0200
